Subject: gtk2 problems
To: None <>
From: Martti Kuparinen <>
List: tech-pkg
Date: 09/14/2004 13:20:49

I'm having problems with NetBSD/i386 1.6.2 (XFree86 4.3.0) with the
latest pkgsrc:

checking Pango flags... -I/usr/pkg/include/pango-1.0 -I/usr/pkg/include 
-I/usr/pkg/include/freetype2 -I/usr/X11R6/include 
-I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/lib/glib-2.0/include 
-Wl,-R/usr/pkg/lib -Wl,--export-dynamic -L/usr/pkg/lib -lpangoxft-1.0 
-lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -liconv
configure: error:
*** Can't link to Pango. Pango is required to build
*** GTK+. For more information see
*** Error code 1

make: stopped in /usr/pkgsrc/x11/gtk2
*** Error code 1

 From config.log:

configure:29970: gcc -o conftest -O2 -I/usr/pkg/include -I/usr/include 
-I/usr/pkg/include/freetype2 -Wall -I/usr/pkg/include/pango-1.0 
-I/usr/pkg/include -I/usr/pkg/include/freetype2 -I/usr/X11R6/include 
-I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/lib/glib-2.0/include 
-I/usr/pkg/include -I/usr/include -I/usr/pkg/include/freetype2 -L/usr/pkg/lib 
-Wl,-R/usr/pkg/lib -L/usr/lib -Wl,-R/usr/lib -L/usr/X11R6/lib 
-Wl,-R/usr/X11R6/lib conftest.c -Wl,-R/usr/pkg/lib -Wl,--export-dynamic 
-L/usr/pkg/lib -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 
-lgmodule-2.0 -lglib-2.0 -liconv   -lintl  >&5
/usr/pkgsrc/x11/gtk2/work/.buildlink/lib/ undefined 
reference to `XftDrawRect'
/usr/pkgsrc/x11/gtk2/work/.buildlink/lib/ undefined 
reference to `XftGlyphExtents'

I have the latest fontconfig (all packages are up-to-date according to
lintpkgsrc -i):

ROOT t18:/usr/pkgsrc/x11/gtk2> pkg_info | grep fontconfig
fontconfig-2.2.96   Library for configuring and customizing font access

Any ideas?